## org.hibernate.type.descriptor.java
Class ArrayMutabilityPlan<T>

    java.lang.Object
      org.hibernate.type.descriptor.java.MutableMutabilityPlan<T>
          org.hibernate.type.descriptor.java.ArrayMutabilityPlan<T>

All Implemented Interfaces:
  Serializable, MutabilityPlan<T>

    public class ArrayMutabilityPlan<T>

extends MutableMutabilityPlan<T>

A mutability plan for arrays. Specifically arrays of immutable element type; since the elements themselves are immutable, a shallow copy is enough.

Author:
  Steve Ebersole
See Also:
  Serialized Form

Field Summary
`static ArrayMutabilityPlan` `INSTANCE`

Constructor Summary
`ArrayMutabilityPlan()`

Method Summary
`T` `deepCopyNotNull(T value)`

Methods inherited from class org.hibernate.type.descriptor.java.MutableMutabilityPlan
`assemble, deepCopy, disassemble, isMutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final ArrayMutabilityPlan INSTANCE

Constructor Detail

### ArrayMutabilityPlan

    public ArrayMutabilityPlan()

Method Detail

### deepCopyNotNull

    public T deepCopyNotNull(T value)

  Specified by:
    `deepCopyNotNull` in class `MutableMutabilityPlan<T>`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.